=== modified file 'lib/canonical/launchpad/systemhomes.py'
--- lib/canonical/launchpad/systemhomes.py	2011-12-20 23:27:55 +0000
+++ lib/canonical/launchpad/systemhomes.py	2011-12-22 08:01:22 +0000
@@ -4,7 +4,6 @@
 """Content classes for the 'home pages' of the subsystems of Launchpad."""
 
 __all__ = [
-    'AuthServerApplication',
     'BazaarApplication',
     'CodeImportSchedulerApplication',
     'FeedsApplication',
@@ -26,12 +25,6 @@
 from zope.interface import implements
 
 from canonical.config import config
-from lp.app.interfaces.launchpad import (
-    IAuthServerApplication,
-    )
-from lp.services.statistics.interfaces.statistic import (
-    ILaunchpadStatisticSet,
-    )
 from canonical.launchpad.webapp.interfaces import (
     IAPIDocRoot,
     ICanonicalUrlData,
@@ -79,23 +72,17 @@
     IProductSet,
     )
 from lp.services.feeds.interfaces import IFeedsApplication
+from lp.services.statistics.interfaces.statistic import ILaunchpadStatisticSet
 from lp.services.webservice.interfaces import IWebServiceApplication
 from lp.services.worlddata.interfaces.language import ILanguageSet
 from lp.testopenid.interfaces.server import ITestOpenIDApplication
+from lp.translations.interfaces.translationgroup import ITranslationGroupSet
 from lp.translations.interfaces.translations import IRosettaApplication
-from lp.translations.interfaces.translationgroup import ITranslationGroupSet
 from lp.translations.interfaces.translationsoverview import (
     ITranslationsOverview,
     )
 
 
-class AuthServerApplication:
-    """AuthServer End-Point."""
-    implements(IAuthServerApplication)
-
-    title = "Auth Server"
-
-
 class CodehostingApplication:
     """Codehosting End-Point."""
     implements(ICodehostingApplication)

=== modified file 'lib/canonical/launchpad/xmlrpc/application.py'
--- lib/canonical/launchpad/xmlrpc/application.py	2011-12-22 04:17:19 +0000
+++ lib/canonical/launchpad/xmlrpc/application.py	2011-12-22 08:01:22 +0000
@@ -23,12 +23,9 @@
     Interface,
     )
 
-from lp.app.interfaces.launchpad import (
-    IAuthServerApplication,
-    IPrivateApplication,
-    )
 from canonical.launchpad.webapp import LaunchpadXMLRPCView
 from canonical.launchpad.webapp.interfaces import ILaunchBag
+from lp.app.interfaces.launchpad import IPrivateApplication
 from lp.bugs.interfaces.malone import IPrivateMaloneApplication
 from lp.code.interfaces.codehosting import ICodehostingApplication
 from lp.code.interfaces.codeimportscheduler import (
@@ -36,9 +33,9 @@
     )
 from lp.registry.interfaces.mailinglist import IMailingListApplication
 from lp.registry.interfaces.person import ISoftwareCenterAgentApplication
+from lp.services.authserver.interfaces import IAuthServerApplication
 from lp.services.features.xmlrpc import IFeatureFlagApplication
 
-
 # NOTE: If you add a traversal here, you should update
 # the regular expression in utilities/page-performance-report.ini
 class PrivateApplication:

=== modified file 'lib/canonical/launchpad/xmlrpc/configure.zcml'
--- lib/canonical/launchpad/xmlrpc/configure.zcml	2011-12-20 23:27:55 +0000
+++ lib/canonical/launchpad/xmlrpc/configure.zcml	2011-12-22 08:01:22 +0000
@@ -15,19 +15,6 @@
   </securedutility>
 
   <securedutility
-    class="canonical.launchpad.systemhomes.AuthServerApplication"
-    provides="lp.app.interfaces.launchpad.IAuthServerApplication">
-    <allow interface="lp.app.interfaces.launchpad.IAuthServerApplication"/>
-  </securedutility>
-
-  <xmlrpc:view
-    for="lp.app.interfaces.launchpad.IAuthServerApplication"
-    interface="canonical.launchpad.interfaces.authserver.IAuthServer"
-    class="canonical.launchpad.xmlrpc.authserver.AuthServerAPIView"
-    permission="zope.Public"
-    />
-
-  <securedutility
     class="canonical.launchpad.systemhomes.CodehostingApplication"
     provides="lp.code.interfaces.codehosting.ICodehostingApplication">
     <allow interface="lp.code.interfaces.codehosting.ICodehostingApplication"/>

=== modified file 'lib/lp/app/interfaces/launchpad.py'
--- lib/lp/app/interfaces/launchpad.py	2011-12-20 23:27:55 +0000
+++ lib/lp/app/interfaces/launchpad.py	2011-12-22 08:01:22 +0000
@@ -10,7 +10,6 @@
 
 __all__ = [
     'IAging',
-    'IAuthServerApplication',
     'IHasDateCreated',
     'IHasIcon',
     'IHasLogo',
@@ -152,10 +151,6 @@
     featureflags = Attribute("""Feature flag information endpoint""")
 
 
-class IAuthServerApplication(ILaunchpadApplication):
-    """Launchpad legacy AuthServer application root."""
-
-
 class IHasIcon(Interface):
     """An object that can have a custom icon."""
 

=== added directory 'lib/lp/services/authserver'
=== added file 'lib/lp/services/authserver/__init__.py'
=== added file 'lib/lp/services/authserver/configure.zcml'
--- lib/lp/services/authserver/configure.zcml	1970-01-01 00:00:00 +0000
+++ lib/lp/services/authserver/configure.zcml	2011-12-22 08:01:22 +0000
@@ -0,0 +1,26 @@
+<!-- Copyright 2009-2011 Canonical Ltd.  This software is licensed under the
+     GNU Affero General Public License version 3 (see the file LICENSE).
+-->
+
+<configure
+  xmlns="http://namespaces.zope.org/zope"
+  xmlns:browser="http://namespaces.zope.org/browser"
+  xmlns:xmlrpc="http://namespaces.zope.org/xmlrpc"
+  >
+
+  <securedutility
+    class="lp.services.authserver.xmlrpc.AuthServerApplication"
+    provides="lp.services.authserver.interfaces.IAuthServerApplication">
+    <allow
+      interface="lp.services.authserver.interfaces.IAuthServerApplication"/>
+  </securedutility>
+
+  <xmlrpc:view
+    for="lp.services.authserver.interfaces.IAuthServerApplication"
+    interface="lp.services.authserver.interfaces.IAuthServer"
+    class="lp.services.authserver.xmlrpc.AuthServerAPIView"
+    permission="zope.Public"
+    />
+
+</configure>
+

=== added directory 'lib/lp/services/authserver/doc'
=== renamed file 'lib/canonical/launchpad/doc/xmlrpc-authserver.txt' => 'lib/lp/services/authserver/doc/xmlrpc-authserver.txt'
--- lib/canonical/launchpad/doc/xmlrpc-authserver.txt	2011-12-20 23:27:55 +0000
+++ lib/lp/services/authserver/doc/xmlrpc-authserver.txt	2011-12-22 08:01:22 +0000
@@ -3,11 +3,13 @@
 The AuthServer interface is available on the authserver attribute
 of our private XMLRPC instance.
 
+    >>> from canonical.launchpad.webapp.testing import verifyObject
     >>> from lp.app.interfaces.launchpad import (
+    ...     IPrivateApplication,
+    ...     )
+    >>> from lp.services.authserver.interfaces import (
     ...     IAuthServerApplication,
-    ...     IPrivateApplication,
     ...     )
-    >>> from canonical.launchpad.webapp.testing import verifyObject
 
     >>> private_root = getUtility(IPrivateApplication)
     >>> verifyObject(IAuthServerApplication, private_root.authserver)
@@ -16,8 +18,8 @@
 The AuthServerAPIView provides the IAuthServer XML-RPC API:
 
     >>> from zope.publisher.xmlrpc import TestRequest
-    >>> from canonical.launchpad.interfaces.authserver import IAuthServer
-    >>> from canonical.launchpad.xmlrpc.authserver import AuthServerAPIView
+    >>> from lp.services.authserver.interfaces import IAuthServer
+    >>> from lp.services.authserver.xmlrpc import AuthServerAPIView
 
     >>> authserver_api = AuthServerAPIView(
     ...     private_root.authserver, TestRequest())

=== renamed file 'lib/canonical/launchpad/interfaces/authserver.py' => 'lib/lp/services/authserver/interfaces.py'
--- lib/canonical/launchpad/interfaces/authserver.py	2009-06-25 05:30:52 +0000
+++ lib/lp/services/authserver/interfaces.py	2011-12-22 08:01:22 +0000
@@ -7,12 +7,15 @@
 
 __metaclass__ = type
 __all__ = [
-    'IAuthServer'
+    'IAuthServer',
+    'IAuthServerApplication',
     ]
 
 
 from zope.interface import Interface
 
+from canonical.launchpad.webapp.interfaces import ILaunchpadApplication
+
 
 class IAuthServer(Interface):
     """A storage for details about users."""
@@ -25,3 +28,8 @@
             [(key-type, key-text)]}, or NoSuchPersonWithName if there is no
             person with the given name.
         """
+
+
+class IAuthServerApplication(ILaunchpadApplication):
+    """Launchpad legacy AuthServer application root."""
+

=== renamed directory 'lib/canonical/launchpad/xmlrpc/tests' => 'lib/lp/services/authserver/tests'
=== modified file 'lib/lp/services/authserver/tests/test_authserver.py'
--- lib/canonical/launchpad/xmlrpc/tests/test_authserver.py	2011-12-20 23:27:55 +0000
+++ lib/lp/services/authserver/tests/test_authserver.py	2011-12-22 08:01:22 +0000
@@ -8,10 +8,10 @@
 from zope.component import getUtility
 from zope.publisher.xmlrpc import TestRequest
 
-from lp.app.interfaces.launchpad import IPrivateApplication
 from canonical.launchpad.xmlrpc import faults
-from canonical.launchpad.xmlrpc.authserver import AuthServerAPIView
 from canonical.testing.layers import DatabaseFunctionalLayer
+from lp.app.interfaces.launchpad import IPrivateApplication
+from lp.services.authserver.xmlrpc import AuthServerAPIView
 from lp.testing import TestCaseWithFactory
 
 

=== added file 'lib/lp/services/authserver/tests/test_doc.py'
--- lib/lp/services/authserver/tests/test_doc.py	1970-01-01 00:00:00 +0000
+++ lib/lp/services/authserver/tests/test_doc.py	2011-12-22 08:01:22 +0000
@@ -0,0 +1,18 @@
+# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# GNU Affero General Public License version 3 (see the file LICENSE).
+
+"""
+Run the doctests and pagetests.
+"""
+
+import os
+
+from canonical.testing.layers import LaunchpadFunctionalLayer
+from lp.services.testing import build_test_suite
+
+
+here = os.path.dirname(os.path.realpath(__file__))
+
+
+def test_suite():
+    return build_test_suite(here, layer=LaunchpadFunctionalLayer)

=== renamed file 'lib/canonical/launchpad/xmlrpc/authserver.py' => 'lib/lp/services/authserver/xmlrpc.py'
--- lib/canonical/launchpad/xmlrpc/authserver.py	2010-11-08 12:52:43 +0000
+++ lib/lp/services/authserver/xmlrpc.py	2011-12-22 08:01:22 +0000
@@ -6,16 +6,20 @@
 __metaclass__ = type
 
 __all__ = [
+    'AuthServerApplication',
     'AuthServerAPIView',
     ]
 
 from zope.component import getUtility
 from zope.interface import implements
 
-from canonical.launchpad.interfaces.authserver import IAuthServer
 from canonical.launchpad.webapp import LaunchpadXMLRPCView
 from canonical.launchpad.xmlrpc import faults
 from lp.registry.interfaces.person import IPersonSet
+from lp.services.authserver.interfaces import (
+    IAuthServer,
+    IAuthServerApplication,
+    )
 
 
 class AuthServerAPIView(LaunchpadXMLRPCView):
@@ -35,3 +39,11 @@
                      for key in person.sshkeys],
             }
 
+
+class AuthServerApplication:
+    """AuthServer End-Point."""
+    implements(IAuthServerApplication)
+
+    title = "Auth Server"
+
+

=== modified file 'lib/lp/services/configure.zcml'
--- lib/lp/services/configure.zcml	2011-12-22 05:37:22 +0000
+++ lib/lp/services/configure.zcml	2011-12-22 12:53:37 +0000
@@ -3,6 +3,7 @@
 -->
 
 <configure xmlns="http://namespaces.zope.org/zope">
+  <include package=".authserver" />
   <include package=".comments" />
   <include package=".database" />
   <include package=".features" />

=== modified file 'lib/lp/services/sshserver/auth.py'
--- lib/lp/services/sshserver/auth.py	2010-08-20 20:31:18 +0000
+++ lib/lp/services/sshserver/auth.py	2011-12-22 08:01:22 +0000
@@ -6,7 +6,7 @@
 """Custom authentication for the SSH server.
 
 Launchpad's SSH server authenticates users against a XML-RPC service (see
-`canonical.launchpad.interfaces.authserver.IAuthServer` and
+`lp.services.authserver.interfaces.IAuthServer` and
 `PublicKeyFromLaunchpadChecker`) and provides richer error messages in the
 case of failed authentication (see `SSHUserAuthServer`).
 """

